import { ChangeDetectorRef } from '@angular/core';
import { FormGroup, FormGroupDirective } from '@angular/forms';
import { MatDatepickerContent, MatCalendar } from '@angular/material/datepicker';
export declare class MatDatepickerTimeHeaderComponent<D, S> {
    timeInputControlName: string;
    calendar: MatCalendar<D>;
    parentForm: FormGroup;
    constructor(parentFormDir: FormGroupDirective, timeInputControlName: string, matDatepickerContent: MatDatepickerContent<S>, calendar: MatCalendar<D>, changeDetectorRef: ChangeDetectorRef);
    get isRange(): boolean;
}
